Skip to main content
POST
Create object
Required scopes: data_objects.schema.manage

Authorizations

Authorization
string
header
required

Use Authorization: Bearer rk_live_....

Headers

Idempotency-Key
string
required

A unique value for each new request, such as a UUID. Send the same value to retry a request safely. The same key and payload replay the first response with Idempotency-Replayed: true.

Required string length: 1 - 160

Body

application/json
template_key
string
required
Maximum string length: 80
label_plural
string
required
Maximum string length: 120
label_singular
string
required
Maximum string length: 120
icon
string
required
Maximum string length: 80
color
string
required
Maximum string length: 32
slug
string
Maximum string length: 80
description
string | null
Maximum string length: 2000
view_type
enum<string>
Available options:
table,
kanban,
list

Response

Custom object created.

id
string
required
slug
string
required
seeded_status_field
object | null